OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESDraw

# IGESDraw_CircArraySubfigure Class Reference

Defines IGES Circular Array Subfigure Instance Entity,
Type <414> Form Number <0> in package IGESDraw
.

`#include <IGESDraw_CircArraySubfigure.hxx>`

Inheritance diagram for IGESDraw_CircArraySubfigure:

[legend]

## Public Member Functions
Standard_EXPORT | IGESDraw_CircArraySubfigure ()
Standard_EXPORT void | Init (const Handle(IGESData_IGESEntity)&aBase, const Standard_Integer aNumLocs, const gp_XYZ &aCenter, const Standard_Real aRadius, const Standard_Real aStAngle, const Standard_Real aDelAngle, const Standard_Integer aFlag, const Handle(TColStd_HArray1OfInteger)&allNumPos)
| This method is used to set the fields of the class CircArraySubfigure - aBase : Base entity - aNumLocs : Total number of possible instance locations - aCenter : Coordinates of Center of imaginary circle - aRadius : Radius of imaginary circle - aStAngle : Start angle in radians - aDelAngle : Delta angle in radians - aFlag : DO-DON'T flag to control which portion to display - allNumPos : All position to be or not to be processed .
Standard_EXPORT Handle_IGESData_IGESEntity | BaseEntity () const
| returns the base entity, copies of which are produced
Standard_EXPORT Standard_Integer | NbLocations () const
| returns total number of possible instance locations
Standard_EXPORT gp_Pnt | CenterPoint () const
| returns the center of the imaginary circle
Standard_EXPORT gp_Pnt | TransformedCenterPoint () const
| returns the Transformed center of the imaginary circle
Standard_EXPORT Standard_Real | CircleRadius () const
| returns the radius of the imaginary circle
Standard_EXPORT Standard_Real | StartAngle () const
| returns the start angle in radians
Standard_EXPORT Standard_Real | DeltaAngle () const
| returns the delta angle in radians
Standard_EXPORT Standard_Integer | ListCount () const
| returns 0 if all elements to be displayed
Standard_EXPORT Standard_Boolean | DisplayFlag () const
| returns True if (ListCount = 0) all elements are to be displayed
Standard_EXPORT Standard_Boolean | DoDontFlag () const
| returns 0 if half or fewer of the elements of the array are defined 1 if half or more of the elements are defined
Standard_EXPORT Standard_Boolean | PositionNum (const Standard_Integer Index) const
| returns whether Index is to be processed (DO) or not to be processed(DON'T) if (ListCount = 0) return theDoDontFlag raises exception if Index <= 0 or Index > ListCount().
Standard_EXPORT Standard_Integer | ListPosition (const Standard_Integer Index) const
| returns the Index'th value position raises exception if Index <= 0 or Index > ListCount().
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESData_IGESEntity | theBaseEntity
Standard_Integer | theNbLocations
gp_XYZ | theCenter
Standard_Real | theRadius
Standard_Real | theStartAngle
Standard_Real | theDeltaAngle
Standard_Integer | theDoDontFlag
Handle_TColStd_HArray1OfInteger | thePositions

## Constructor & Destructor Documentation

Standard_EXPORT IGESDraw_CircArraySubfigure::IGESDraw_CircArraySubfigure | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESDraw_CircArraySubfigure::BaseEntity | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESDraw_CircArraySubfigure::CenterPoint | ( |  | ) | const

Standard_EXPORT Standard_Real IGESDraw_CircArraySubfigure::CircleRadius | ( |  | ) | const

Standard_EXPORT Standard_Real IGESDraw_CircArraySubfigure::DeltaAngle | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESDraw_CircArraySubfigure::DisplayFlag | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESDraw_CircArraySubfigure::DoDontFlag | ( |  | ) | const

Standard_EXPORT const IGESDraw_CircArraySubfigure::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESDraw_CircArraySubfigure::Init | ( | const Handle(IGESData_IGESEntity)& | aBase,
|  | const Standard_Integer | aNumLocs,
|  | const gp_XYZ & | aCenter,
|  | const Standard_Real | aRadius,
|  | const Standard_Real | aStAngle,
|  | const Standard_Real | aDelAngle,
|  | const Standard_Integer | aFlag,
|  | const Handle(TColStd_HArray1OfInteger)& | allNumPos
| ) |

Standard_EXPORT Standard_Integer IGESDraw_CircArraySubfigure::ListCount | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDraw_CircArraySubfigure::ListPosition | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESDraw_CircArraySubfigure::NbLocations | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESDraw_CircArraySubfigure::PositionNum | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Real IGESDraw_CircArraySubfigure::StartAngle | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESDraw_CircArraySubfigure::TransformedCenterPoint | ( |  | ) | const

## Field Documentation

Handle_IGESData_IGESEntity IGESDraw_CircArraySubfigure::theBaseEntity`[private]`

gp_XYZ IGESDraw_CircArraySubfigure::theCenter`[private]`

Standard_Real IGESDraw_CircArraySubfigure::theDeltaAngle`[private]`

Standard_Integer IGESDraw_CircArraySubfigure::theDoDontFlag`[private]`

Standard_Integer IGESDraw_CircArraySubfigure::theNbLocations`[private]`

Handle_TColStd_HArray1OfInteger IGESDraw_CircArraySubfigure::thePositions`[private]`

Standard_Real IGESDraw_CircArraySubfigure::theRadius`[private]`

Standard_Real IGESDraw_CircArraySubfigure::theStartAngle`[private]`

The documentation for this class was generated from the following file:

- IGESDraw_CircArraySubfigure.hxx